NetBSD talkd远程缓冲区溢出漏洞-一一网络

NetBSD talkd远程缓冲区溢出漏洞

漏洞信息详情

NetBSD talkd远程缓冲区溢出漏洞

漏洞简介

NetBSD是NetBSD基金会开发的一套免费开源的类Unix操作系统。
NetBSD的talkd没有正确检查进入系统的消息,远程攻击者可以利用这个漏洞进行缓冲区溢出攻击。
NetBSD的talkd服务没有对进入的信息进行正确的缓冲区边界检查,盲目把数据拷贝到固定的缓冲区中,可导致产生缓冲区溢出,精心构建提交数据可能以root用户的权限在系统上执行任意指令,不过没有得到证实。

漏洞公告

临时解决方法:
如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:

* 暂时关闭NetBSD的talkd服务。
厂商补丁:
NetBSD
——
NetBSD已经为此发布了一个安全公告(NetBSD-SA2002-019)以及相应补丁:

NetBSD-SA2002-019:Buffer overrun in talkd

链接:ftp://ftp.netbsd.org/pub/NetBSD/security/advisories/NetBSD-SA2002-019.txt.asc

* NetBSD-current:

系统运行在2002-09-20之前的NetBSD-current版本必须升级到2002-09-20 NetBSD-current版本或者之后的版本。

下面的目录必须从netbsd-current CVS branch (aka HEAD)升级:

libexec/talkd

要升级CVS,重建和重安装talkd:

# cd src

# cvs update -d -P libexec/talkd

# cd libexec/talkd

# make cleandir dependall

# make install

* NetBSD 1.6:

系统运行2002-10-03之前的NetBSD 1.6 branch必须升级到2002-10-03 NetBSD 1.6 branch版本或者之后的版本。

下面的目录必须从netbsd-1-6 CVS branch上升级:

libexec/talkd

要升级CVS,重建和重安装talkd:

# cd src

# cvs update -d -P -r netbsd-1-6 libexec/talkd

# cd libexec/talkd

# make cleandir dependall

# make install

* NetBSD 1.5, 1.5.1, 1.5.2, 1.5.3:

系统运行2002-09-20之前的NetBSD 1.5 branch必须升级到2002-10-03 NetBSD 1.5 branch版本或者之后的版本。

下面的目录必须从netbsd-1-5 CVS branch上升级:

libexec/talkd

要升级CVS,重建和重安装talkd:

# cd src

# cvs update -d -P -r netbsd-1-5 libexec/talkd

# cd libexec/talkd

# make cleandir dependall

# make install

参考网址

来源: BID
名称: 5910
链接:http://www.securityfocus.com/bid/5910

来源: XF
名称: netbsd-talkd-bo(10303)
链接:http://www.iss.net/security_center/static/10303.php

来源: NETBSD
名称: NetBSD-SA2002-019
链接:ftp://ftp.netbsd.org/pub/NetBSD/security/advisories/NetBSD-SA2002-019.txt.asc

免责声明:务必仔细阅读

  • 本站为个人博客,博客所转载的一切破解、path、补丁、注册机和注册信息及软件等资源文章仅限用于学习和研究目的;不得将上述内容用于商业或者非法用途,否则,一切后果请用户自负。本站信息来自网络,版权争议与本站无关。

  • 本站为非盈利性站点,打赏作为用户喜欢本站捐赠打赏功能,本站不贩卖软件等资源,所有内容不作为商业行为。

  • 本博客的文章中涉及的任何解锁和解密分析脚本,仅用于测试和学习研究,禁止用于商业用途,不能保证其合法性,准确性,完整性和有效性,请根据情况自行判断.

  • 本博客的任何内容,未经许可禁止任何公众号、自媒体进行任何形式的转载、发布。

  • 博客对任何脚本资源教程问题概不负责,包括但不限于由任何脚本资源教程错误导致的任何损失或损害.

  • 间接使用相关资源或者参照文章的任何用户,包括但不限于建立VPS或在某些行为违反国家/地区法律或相关法规的情况下进行传播, 博客对于由此引起的任何隐私泄漏或其他后果概不负责.

  • 请勿将博客的任何内容用于商业或非法目的,否则后果自负.

  • 如果任何单位或个人认为该博客的任何内容可能涉嫌侵犯其权利,则应及时通知并提供身份证明,所有权证明至admin@proyy.com.我们将在收到认证文件后删除相关内容.

  • 任何以任何方式查看此博客的任何内容的人或直接或间接使用该博客的任何内容的使用者都应仔细阅读此声明。博客保留随时更改或补充此免责声明的权利。一旦使用并复制了博客的任何内容,则视为您已接受此免责声明.

您必须在下载后的24小时内从计算机或手机中完全删除以上内容.

您使用或者复制了本博客的任何内容,则视为已接受此声明,请仔细阅读


更多福利请关注一一网络微信公众号或者小程序

一一网络微信公众号
打个小广告,宝塔服务器面板,我用的也是,很方便,重点是免费的也能用,没钱太难了,穷鬼一个,一键全能部署及管理,送你3188元礼包,点我领取https://www.bt.cn/?invite_code=MV9kY3ZwbXo=


一一网络 » NetBSD talkd远程缓冲区溢出漏洞

发表评论

发表评论

一一网络-提供最优质的文章集合

立即查看 了解详情